dpkg error | How should we solve this problem?

Having issues with your DietPi installation, or, found a bug? Post it here.
Post Reply
cemion
Posts: 2
Joined: Thu Jan 25, 2018 4:05 am

dpkg error | How should we solve this problem?

Post by cemion »

LD_LIBRARY_PATH contains the traditional /lib directory,
but not the multiarch directory /lib/aarch64-linux-gnu.
It is not safe to upgrade the C library in this situation;
please remove the /lib/directory from LD_LIBRARY_PATH and
try again.

dpkg: error processing archive /var/cache/apt/archives/libc6_2.19-18+deb8u10_arm64.deb (--unpack):
subprocess new pre-installation script returned error exit status 1
Errors were encountered while processing:
/var/cache/apt/archives/libc6_2.19-18+deb8u10_arm64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)


How should we solve this problem?
User avatar
johnvick
Legend
Posts: 693
Joined: Wed Jun 08, 2016 11:53 am
Location: New Zealand

Re: dpkg error | How should we solve this problem?

Post by johnvick »

Check the last message in this thread:

http://dietpi.com/phpbb/viewtopic.php?f ... gnu#p10174
cemion
Posts: 2
Joined: Thu Jan 25, 2018 4:05 am

Re: dpkg error | How should we solve this problem?

Post by cemion »

johnvick wrote:Check the last message in this thread:

http://dietpi.com/phpbb/viewtopic.php?f ... gnu#p10174


Thank you for your reply. I've fixed the issue.
Post Reply